Package org.snpeff.reactome.events

# Class Depolymerisation

java.lang.Object
org.snpeff.reactome.Entity
org.snpeff.reactome.events.Event
org.snpeff.reactome.events.Reaction
org.snpeff.reactome.events.Depolymerisation

All Implemented Interfaces:
  `Comparable<Entity>`

public class Depolymerisation extends Reaction
A depolymerization event

Author:
  pcingola

## Nested Class Summary

## Nested classes/interfaces inherited from class org.snpeff.reactome.events.Reaction

`Reaction.RegulationType`

## Nested classes/interfaces inherited from class org.snpeff.reactome.Entity

`Entity.TransferFunction`

## Field Summary

### Fields inherited from class org.snpeff.reactome.events.Reaction

`catalyst, inputs, MAX_WEIGHT_SUM, outputs, regulator`

### Fields inherited from class org.snpeff.reactome.Entity

`BETA, compartment, debug, fixedOutput, geneIds, id, name, output, TRANSFER_FUNCTION, weight`

## Constructor Summary

Constructors
Constructor
Description
`Depolymerisation(int id, String name)`

## Method Summary

### Methods inherited from class org.snpeff.reactome.events.Reaction

`addCatalyst, addInput, addOutput, addRegulator, addRegulator, calc, getCatalyst, getInputs, getOutputs, getRegulator, isReaction, scaleWeights, toString, toString, transferFunction`

### Methods inherited from class org.snpeff.reactome.Entity

`addGeneId, calc, compareTo, getCompartment, getGeneIds, getId, getName, getOutput, getWeight, hasOutput, isFixed, reset, setCompartment, setFixedOutput, setWeight, toStringSimple, transferFunction`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Depolymerisation

public Depolymerisation(int id, String name)